-- ----------------------------------------------------------------------------
-- AddOn namespace
-- ----------------------------------------------------------------------------
local AddOnFolderName, private = ...
local NPCs = private.Data.NPCs

-- ----------------------------------------------------------------------------
-- Drustvar
-- ----------------------------------------------------------------------------
NPCs[124548] = { -- Betsy
	achievementQuestID = 47884, -- Betsy
}

NPCs[125453] = { -- Quillrat Matriarch
	achievementQuestID = 48178, -- Quillrat Matriarch
	isTameable = true,
}

NPCs[126621] = { -- Bonesquall
	achievementQuestID = 48978, -- Bonesquall
}

NPCs[127129] = { -- Grozgore
	achievementQuestID = 49388, -- Grozgore
}

NPCs[127333] = { -- Barbthorn Queen
	achievementQuestID = 48842, -- Barbthorn Queen
	isTameable = true,
}

NPCs[127651] = { -- Vicemaul
	achievementQuestID = 48928, -- Vicemaul
	isTameable = true,
	vignetteID = 2293, -- Untended Fishing Rod
}

NPCs[127844] = { -- Gluttonous Yeti
	achievementQuestID = 48979, -- Gluttonous Yeti
}

NPCs[127877] = { -- Longfang
	achievementQuestID = 48981, -- Longfang
	vignetteID = 2311, -- Longfang & Breakwater
}

NPCs[127901] = { -- Henry Breakwater
	achievementQuestID = 48981, -- Longfang
	vignetteID = 2311, -- Longfang & Breakwater
}

NPCs[128181] = { -- Vengeful Dead
	achievementQuestID = 49137, -- Ancient Sarcophagus
	vignetteID = 2321, -- Ancient Sarcophagus
}

NPCs[128707] = { -- Rimestone
	achievementQuestID = 49269, -- Rimestone
}

NPCs[128973] = { -- Whargarble the Ill-Tempered
	achievementQuestID = 49311, -- Whargarble the Ill-Tempered
}

NPCs[129031] = { -- Manifested Hate
	achievementQuestID = 49341, -- Seething Cache
	vignetteID = 2384, -- Seething Cache
}

NPCs[129805] = { -- Beshol
	achievementQuestID = 49481, -- Beshol,
	vignetteID = 2420, -- Obviously Safe Chest
}

NPCs[129835] = { -- Gorehorn
	achievementQuestID = 49480, -- Gorehorn
}

NPCs[129904] = { -- Cottontail Matron
	achievementQuestID = 49216, -- Beastly Ritual Skull
	vignetteID = 2332, -- Beastly Ritual Skull
}

NPCs[129950] = { -- Talon
	achievementQuestID = 49528, -- Talon
	isTameable = true,
}

NPCs[129995] = { -- Emily Mayville
	achievementQuestID = 49530, -- Emily Mayville
}

NPCs[130138] = { -- Nevermore
	achievementQuestID = 49601, -- Nevermore
	isTameable = true,
}

NPCs[130143] = { -- Balethorn
	achievementQuestID = 49602, -- Balethorn
}

NPCs[132319] = { -- Bilefang Mother
	achievementQuestID = 50163, -- Bilefang Mother
	isTameable = true,
}

NPCs[134213] = { -- Executioner Blackwell
	achievementQuestID = 50546, -- Executioner Blackwell
}

NPCs[134706] = { -- Deathcap
	achievementQuestID = 50669, -- Deathcap
}

NPCs[134754] = { -- Hyo'gi
	achievementQuestID = 50688, -- Hyo'gi
	isTameable = true,
}

NPCs[135796] = { -- Captain Leadfist
	achievementQuestID = 50939, -- Captain Leadfist
}

NPCs[137529] = { -- Arvon the Betrayed
	achievementQuestID = 51383, -- Arvon the Betrayed
}

NPCs[137665] = { -- Soul Goliath
	questID = 52002, -- Soul Goliath
}

NPCs[137704] = { -- Matron Morana
	questID = 52000, -- Matron Morana
}

NPCs[137708] = { -- Stone Golem
	questID = 51999, -- Stone Golem
}

NPCs[137824] = { -- Arclight
	achievementQuestID = 51470, -- Arclight
	isTameable = true,
}

NPCs[137825] = { -- Avalanche
	achievementQuestID = 51471, -- Avalanche
	isTameable = true,
}

NPCs[138618] = { -- Haywire Golem
	achievementQuestID = 51698, -- Haywire Golem
}

NPCs[138667] = { -- Blighted Monstrosity
	questID = 52001, -- Blighted Monstrosity
}

NPCs[138675] = { -- Gorged Boar
	achievementQuestID = 51700, -- Gorged Boar
	isTameable = true,
}

NPCs[138863] = { -- Sister Martha
	achievementQuestID = 51748, -- Sister Martha
}

NPCs[138866] = { -- Mack
	achievementQuestID = 51749, -- Fungi Trio
	vignetteID = 2979, -- Fungi Trio
}

NPCs[138870] = { -- Mick
	achievementQuestID = 51749, -- Fungi Trio
	vignetteID = 2979, -- Fungi Trio
}

NPCs[138871] = { -- Ernie
	achievementQuestID = 51749, -- Fungi Trio
	vignetteID = 2979, -- Fungi Trio
}

NPCs[139321] = { -- Braedan Whitewall
	achievementQuestID = 51922, -- Braedan Whitewall
}

NPCs[139322] = { -- Whitney "Steelclaw" Ramsay
	achievementQuestID = 51923, -- Hexed Hunter
	vignetteID = 3014, -- "Whitney ""Steelclaw"" Ramsay"
}

NPCs[139358] = { -- The Caterer
	questID = 51949, -- The Caterer
	vignetteID = 3027, -- Ruined Wedding Cake
}

NPCs[140252] = { -- Hailstone Construct
	questID = 52157, -- A Chilling Encounter
}

-- ----------------------------------------------------------------------------
-- Stormsong Valley
-- ----------------------------------------------------------------------------
NPCs[129803] = { -- Whiplash
	achievementQuestID = 52296, -- Whiplash
}

NPCs[130079] = { -- Wagga Snarltusk
	achievementQuestID = 50819, -- Wagga Snarltusk
}

NPCs[130897] = { -- Captain Razorspine
	achievementQuestID = 50170, -- Captain Razorspine
}

NPCs[131404] = { -- Foreman Scripps
	achievementQuestID = 49951, -- Foreman Scripps
	mounts = {
		{
			itemID = 163573, -- Goldenmane's Reins
			spellID = 260175 -- Goldenmane
		}
	},
}

NPCs[132007] = { -- Galestorm
	achievementQuestID = 50075, -- Galestorm
}

NPCs[132047] = { -- Reinforced Hullbreaker
	questID = 53611, -- Reinforced Hullbreaker
}

NPCs[134147] = { -- Beehemoth
	isTameable = true,
	questID = 50541, -- Beehemoth
}

NPCs[134884] = { -- Ragna
	achievementQuestID = 50725, -- Ragna
}

NPCs[134897] = { -- Dagrus the Scorned
	achievementQuestID = 50731, -- Dagrus the Scorned
}

NPCs[135939] = { -- Vinespeaker Ratha
	achievementQuestID = 50037, -- Vinespeaker Ratha
}

NPCs[135947] = { -- Strange Mushroom Ring
	achievementQuestID = 50024, -- Strange Mushroom Ring
}

NPCs[136183] = { -- Crushtacean
	achievementQuestID = 50731, -- Crushtacean
	isTameable = true,
}

NPCs[136189] = { -- The Lichen King
	achievementQuestID = 50974, -- The Lichen King
}

NPCs[137025] = { -- Broodmother
	achievementQuestID = 51298, -- Broodmother
	isTameable = true,
}

NPCs[137649] = { -- Pest Remover Mk. II
	questID = 53612,  -- Pest Remover Mk. II
}

NPCs[138938] = { -- Seabreaker Skoloth
	achievementQuestID = 51757, -- Seabreaker Skoloth
}

NPCs[138963] = { -- Nestmother Acada
	achievementQuestID = 51762, -- Nestmother Acada
	vignetteID = 2981, -- Nestmother Acada
}

NPCs[139298] = { -- Pinku'shon
	achievementQuestID = 51959, -- Pinku'shon
	isTameable = true,
}

NPCs[139319] = { -- Slickspill
	achievementQuestID = 51958, -- Slickspill
}

NPCs[139328] = { -- Sabertron (Red Sabertron)
	achievementQuestID = 51956,
	isTameable = true,
}

NPCs[139335] = { -- Sabertron (Yellow Sabertron)
	achievementQuestID = 51956,
	isTameable = true,
}

NPCs[139336] = { -- Sabertron (Green Sabertron)
	achievementQuestID = 51956,
	isTameable = true,
}

NPCs[139356] = { -- Sabertron (Orange Sabertron)
	achievementQuestID = 51956,
	isTameable = true,
}

NPCs[139359] = { -- Sabertron (Copper Sabertron)
	achievementQuestID = 51956,
	isTameable = true,
}

NPCs[139385] = { -- Deepfang
	achievementQuestID = 50692, -- Deepfang
	isTameable = true,
}

NPCs[139968] = { -- Corrupted Tideskipper
	achievementQuestID = 52121, -- Corrupted Pod
	vignetteID = 3041, -- Corrupted Pod
}

NPCs[139980] = { -- Taja the Tidehowler
	achievementQuestID = 52123, -- Taja the Tidehowler
}

NPCs[139988] = { -- Sandfang
	achievementQuestID = 52125, -- Sandfang
	isTameable = true,
}

NPCs[140163] = { -- Warbringer Yenajz
	questID = 52166, -- The Faceless Herald
}

NPCs[140398] = { -- Zeritarj
	questID = 53624, -- Zeritarj
}

NPCs[140925] = { -- Doc Marrtens
	questID = 52323,
}

NPCs[140938] = { -- Croaker
	achievementQuestID = 52303, -- Croaker
	isTameable = true,
}

NPCs[140997] = { -- Severus the Outcast
	achievementQuestID = 50938, -- Severus the Outcast
}

NPCs[141029] = { -- Kickers
	achievementQuestID = 52318, -- Kickers
	isTameable = true,
}

NPCs[141039] = { -- Ice Sickle
	achievementQuestID = 52327, -- Ice Sickle
}

NPCs[141043] = { -- Jakala the Cruel
	questID = 52324,
}

NPCs[141059] = { -- Grimscowl the Harebrained
	achievementQuestID = 52329, -- Grimscowl the Harebrained
}

NPCs[141088] = { -- Squall
	achievementQuestID = 52433, -- Squall
}

NPCs[141143] = { -- Sister Absinthe
	achievementQuestID = 52441, -- Sister Absinthe
}

NPCs[141175] = { -- Song Mistress Dadalea
	achievementQuestID = 52448, -- Song Mistress Dadalea
}

NPCs[141226] = { -- Haegol the Hammer
	achievementQuestID = 52460, -- Haegol the Hammer
}

NPCs[141239] = { -- Osca the Bloodied
	achievementQuestID = 52461, -- Osca the Bloodied
	isTameable = true,
}

NPCs[141286] = { -- Poacher Zane
	achievementQuestID = 52469, -- Poacher Zane
}

NPCs[142088] = { -- Whirlwing
	achievementQuestID = 52457, -- Whirlwing
	isTameable = true,
}

-- ----------------------------------------------------------------------------
-- Tiragarde Sound
-- ----------------------------------------------------------------------------
NPCs[127289] = { -- Saurolisk Tamer Mugg
	questID = 48806, -- Saurolisk Tamer Mugg
	vignetteID = 2263, -- Saurolisk Tamer Mugg
}

NPCs[127290] = { -- Mugg
	isTameable = true,
	questID = 48806, -- Saurolisk Tamer Mugg
	vignetteID = 2263, -- Saurolisk Tamer Mugg
}

NPCs[129181] = { -- Barman Bill
	questID = 50233, -- Barman Bill
	vignetteID = 2572, -- Barman Bill,
}

NPCs[130508] = { -- Broodmother Razora
	isTameable = true,
	questID = 51665, -- Broodmother Razora
}

NPCs[131252] = { -- Merianae
	isTameable = true,
	questID = 49921,
	vignetteID = 2491, -- Merianae
}

NPCs[131262] = { -- Pack Leader Asenya
	questID = 49923,
	vignetteID = 2492, -- Pack Leader Asenya
}

NPCs[131389] = { -- Teres
	questID = 49942,
	vignetteID = 2501, --Teres
}

NPCs[131520] = { -- Kulett the Ornery
	isTameable = true,
	questID = 49984,
	vignetteID = 2518, -- Kulett the Ornery
}

NPCs[131984] = { -- Twin-hearted Construct
	questID = 50073,
	vignetteID = 2535, -- Twin-hearted Construct
}

NPCs[132068] = { -- Bashmu
	questID = 50094,
	vignetteID = 2539, -- Bashmu
}

NPCs[132076] = { -- Totes
	questID = 50095,
	vignetteID = 2540, -- Totes
}

NPCs[132086] = { -- Black-Eyed Bart
	questID = 50096,
	vignetteID = 2541, -- Black-Eyed Bart
}

NPCs[132127] = { -- Foxhollow Skyterror
	isTameable = true,
	questID = 50137,
	vignetteID = 2544, -- Foxhollow Skyterror
}

NPCs[132179] = { -- Raging Swell
	questID = 50148,
	vignetteID = 2545, -- Raging Swell
}

NPCs[132182] = { -- Auditor Dolp
	questID = 50156,
	vignetteID = 2547, -- Auditor Dolp
}

NPCs[132211] = { -- Fowlmouth
	isTameable = true,
	questID = 50155,
	vignetteID = 2546, -- Fowlmouth
}

NPCs[132280] = { -- Squacks
	questID = 50160,
	vignetteID = 2549, -- Squacks
}

NPCs[134106] = { -- Lumbergrasp Sentinel
	questID = 50525,
	vignetteID = 2653, -- Lumbergrasp Sentinel
}

NPCs[136385] = { -- Azurethos
	questID = 52163, -- The Winged Typhoon
}

NPCs[137183] = { -- Honey-Coated Slitherer
	questID = 51321,
	vignetteID = 2942, -- Imperiled Merchants
}

NPCs[137983] = { -- Rear Admiral Hainsworth
	factionGroup = "Alliance",
}

NPCs[138039] = { -- Dark Ranger Clea
	factionGroup = "Horde",
}

NPCs[139135] = { -- Squirgle of the Depths
	questID = 51807,
	vignetteID = 2982, -- Squirgle of the Depths
}

NPCs[139145] = { -- Blackthorne
	isTameable = true,
	questID = 51808,
	vignetteID = 2983, -- Blackthorne
}

NPCs[139152] = { -- Carla Smirk
	questID = 51809,
	vignetteID = 2984, -- Edina Teach
}

NPCs[139205] = { -- P4-N73R4
	questID = 51833,
	vignetteID = 2985, -- P4-N73R4
}

NPCs[139233] = { -- Gulliver
	isTameable = true,
	questID = 53373,
	vignetteID = 2986, -- Gulliver
}

NPCs[139235] = { -- Tort Jaw
	questID = 51835,
	vignetteID = 2987, -- Tort Jaw
}

NPCs[139278] = { -- Ranja
	isTameable = true,
	questID = 51872,
	vignetteID = 2989, -- Ranja
}

NPCs[139280] = { -- Sythian the Swift
	isTameable = true,
	questID = 51873,
	vignetteID = 2990, -- Synthian the Swift
}

NPCs[139285] = { -- Shiverscale the Toxic
	isTameable = true,
	questID = 51876,
	vignetteID = 2992, -- Shiverscale the Toxic
}

NPCs[139287] = { -- Sawtooth
	questID = 51877,
	vignetteID = 2993,-- Sawtooth
}

NPCs[139289] = { -- Tentulos the Drifter
	questID = 51879,
	vignetteID = 2995, -- Tentulos the Drifter
}

NPCs[139290] = { -- Maison the Portable
	isTameable = true,
	questID = 51880,
	vignetteID = 2996, -- Maison the Portable
}
