-- ----------------------------------------------------------------------------
-- AddOn namespace
-- ----------------------------------------------------------------------------
local AddOnFolderName, private = ...
local NPCs = private.Data.NPCs

-- ----------------------------------------------------------------------------
-- Nazmir
-- ----------------------------------------------------------------------------
NPCs[121242] = { -- Glompmaw
	achievementQuestID = 50361, -- Glompmaw
}

NPCs[124375] = { -- Overstuffed Saurolisk
	questID = 47827,
}

NPCs[124397] = { -- Kal'draxa
	achievementQuestID = 47843, -- Kal'draxa
}

NPCs[124399] = { -- Infected Direhorn
	achievementQuestID = 47877, -- Infected Direhorn
}

NPCs[124475] = { -- Shambling Ambusher
	questID = 47878,
	vignetteID = 2014, -- Abandoned Treasure
}

NPCs[125214] = { -- Krubbs
	achievementQuestID = 48052, -- Krubbs
	isTameable = true,
}

NPCs[125232] = { -- Captain Mu'kala
	achievementQuestID = 48057, -- Cursed Chest
	vignetteID = 2030, -- Cursed Chest
}

NPCs[125250] = { -- Ancient Jawbreaker
	achievementQuestID = 48063, -- Ancient Jawbreaker
	isTameable = true,
}

NPCs[126056] = { -- Totem Maker Jash'ga
	achievementQuestID = 48406, -- Totem Maker Jash'ga
}

NPCs[126142] = { -- Bajiatha
	achievementQuestID = 48439, -- Bajiatha
	isTameable = true,
}

NPCs[126187] = { -- Corpse Bringer Yal'kar
	achievementQuestID = 48462, -- Corpse Bringer Yal'kar
	mounts = {
		{
			itemID = 163575, -- Reins of a Tamed Bloodfeaster
			spellID = 243795 -- Leaping Veinseeker
		}
	},
}

NPCs[126460] = { -- Tainted Guardian
	achievementQuestID = 48508, -- Tainted Guardian
}

NPCs[126635] = { -- Blood Priest Xak'lar
	achievementQuestID = 48541, -- Blood Priest Xak'lar
}

NPCs[126907] = { -- Wardrummer Zurula
	achievementQuestID = 48623, -- Wardrummer Zurula
}

NPCs[126926] = { -- Venomjaw
	achievementQuestID = 48626, -- Venomjaw
}

NPCs[127001] = { -- Gwugnug the Cursed
	achievementQuestID = 48638, -- Gwugnug the Cursed
}

NPCs[127820] = { -- Scout Skrasniss
	achievementQuestID = 48972, -- Scout Skrasnis
}

NPCs[127873] = { -- Scrounger Patriarch
	achievementQuestID = 48980, -- Scrounger Patriarch
}

NPCs[128426] = { -- Gutrip
	achievementQuestID = 49231, -- Gutrip the Hungry
	vignetteID = 2337, -- Gutrip the Hungry
}

NPCs[128578] = { -- Zujothgul
	questID = 50460, -- Zujothgul
}

NPCs[128930] = { -- Rohnkor
	achievementQuestID = 50040, -- Mala'kili and Rohnkor
	vignetteID = 2529, -- Mala'kili and Rohnkor
}

NPCs[128935] = { -- Mala'kili
	achievementQuestID = 50040, -- Mala'kili and Rohnkor
	vignetteID = 2529, -- Mala'kili and Rohnkor
}

NPCs[128965] = { -- Uroku the Bound
	achievementQuestID = 49305, -- Uroku the Bound
}

NPCs[128974] = { -- Queen Tzxi'kik
	achievementQuestID = 49312, -- Queen Tzxi'kik
	isTameable = true,
}

NPCs[129005] = { -- King Kooba
	achievementQuestID = 49317, -- King Kooba
	isTameable = true,
}

NPCs[129657] = { -- Za'amar the Queen's Blade
	achievementQuestID = 49469, -- Za'amar the Queen's Blade
}

NPCs[133373] = { -- Jax'teb the Reanimated
	achievementQuestID = 50307, -- Jax'teb the Reanimated
}

NPCs[133527] = { -- Juba the Scarred
	achievementQuestID = 50342, -- Juba the Scarred
}

NPCs[133531] = { -- Xu'ba
	achievementQuestID = 50348, -- Xu'ba the Bone Collector
	vignetteID = 2600, -- Xu'ba the Bone Collector
}

NPCs[133539] = { -- Lo'kuno
	achievementQuestID = 50355, -- Lo'kuno
}

NPCs[135565] = { -- Guardian of Agussu
	achievementQuestID = 50888, -- Urn of Agussu
	vignetteID = 2788, -- Urn of Agussu
}

NPCs[133812] = { -- Zanxib
	achievementQuestID = 50423, -- Zanxib the Engorged
	isTameable = true,
	vignetteID = 2630, -- Zanxib the Engorged
}

NPCs[134002] = { -- Underlord Xerxiz
	questID = 50480, -- Underlord Xerxiz
}

NPCs[134293] = { -- Azerite-Infused Slag
	achievementQuestID = 50563, -- Azerite Infused Slag
	vignetteID = 2658, -- Azerite Infused Slag
}

NPCs[134294] = { -- Enraged Water Elemental
	achievementQuestID = 50565, -- Lost Scroll
	vignetteID = 2659, -- Lost Scroll
}

NPCs[134296] = { -- Lucille
	achievementQuestID = 50567, -- Chag's Challenge
	vignetteID = 2660, -- Chag's Challenge
}

NPCs[134298] = { -- Azerite-Infused Elemental
	achievementQuestID = 50569, -- Azerite Infused Elemental
	vignetteID = 2661, -- Azerite Infused Elemental
}

-- ----------------------------------------------------------------------------
-- Vol'dun
-- ----------------------------------------------------------------------------
NPCs[124722] = { -- Commodore Calhoun
	questID = 50905, -- Commodore Calhoun
}

NPCs[127776] = { -- Scaleclaw Broodmother
	isTameable = true,
	questID = 51107, -- Scaleclaw Broodmother
}

NPCs[128497] = { -- Bajiani the Slick
	questID = 49251, -- Bajiani the Slick
}

NPCs[128553] = { -- Azer'tor
	questID = 49252,
}

NPCs[128674] = { -- Gut-Gut the Glutton
	questID = 49270, -- Gut-Gut the Glutton
}

NPCs[128686] = { -- Kamid the Trapper
	questID = 50528,
}

NPCs[128951] = { -- Nez'ara
	questID = 50898,
}

NPCs[129027] = { -- Golanar
	questID = 50362,
}

NPCs[129180] = { -- Warbringer Hozzik
	questID = 49373,
}

NPCs[129283] = { -- Jumbo Sandsnapper
	isTameable = true,
	questID = 49392,
}

NPCs[129411] = { -- Zunashi the Exile
	questID = 48319,
}

NPCs[129476] = { -- Bloated Krolusk
	questID = 47562,
	vignetteID = 2411, -- Bloated Ruincrawler
}

NPCs[130401] = { -- Vathikur
	questID = 49674
}

NPCs[130439] = { -- Ashmane
	isTameable = true,
	questID = 47532, -- Ashmane
}

NPCs[130443] = { -- Hivemother Kraxi
	isTameable = true,
	questID = 47533,
}

NPCs[133843] = { -- First Mate Swainbeak
	questID = 51073, -- Stef "Marrow" Quin
	vignetteID = 2889, -- "Stef ""Marrow"" Quin"
}

NPCs[134571] = { -- Skycaller Teskris
	questID = 50637,
}

NPCs[134625] = { -- Warmother Captive
	questID = 50658,
}

NPCs[134638] = { -- Warlord Zothix
	questID = 50662,
}

NPCs[134643] = { -- Brgl-Lrgl the Basher
	questID = 50663,
}

NPCs[134745] = { -- Skycarver Krakit
	questID = 50686,
}

NPCs[135852] = { -- Ak'tar
	questID = 51058, -- Ak'tar
}

NPCs[136304] = { -- Songstress Nahjeen
	questID = 51063,
}

NPCs[136323] = { -- Fangcaller Xorreth
	questID = 51065, -- Fangcaller Xorreth
}

NPCs[136335] = { -- Enraged Krolusk
	isTameable = true,
	questID = 51077, -- Enraged Krolusk
}

NPCs[136336] = { -- Scorpox
	isTameable = true,
	questID = 51076,
}

NPCs[136338] = { -- Sirokar
	questID = 51075,
}

NPCs[136340] = { -- Relic Hunter Hazaak
	questID = 51126,
}

NPCs[136341] = { -- Jungleweb Hunter
	isTameable = true,
	questID = 51074,
}

NPCs[136346] = { -- Captain Stef "Marrow" Quin
	questID = 51073, -- Stef "Marrow" Quin
	vignetteID = 2889, -- "Stef ""Marrow"" Quin"
}

NPCs[136393] = { -- Bloodwing Bonepicker
	isTameable = true,
	questID = 51079, -- Bloodwing Bonepicker
}

NPCs[137681] = { -- King Clickyclack
	isTameable = true,
	questID = 51424,
}

NPCs[138794] = { -- Dunegorger Kraulok
	questID = 52196, -- Sandswept Bones
}

-- ----------------------------------------------------------------------------
-- Zuldazar
-- ----------------------------------------------------------------------------
NPCs[120899] = { -- Kul'krazahn
	achievementQuestID = 48333, -- Kul'krazahn
}

NPCs[122004] = { -- Umbra'jin
	questID = 47567
}

NPCs[122639] = { -- Old R'gal
	factionGroup = "Horde",
	questID = 50856, -- Old R'gal
}

NPCs[124185] = { -- Golrakahn
	achievementQuestID = 47792, -- Golrakahn
}

NPCs[126637] = { -- Kandak
	achievementQuestID = 48543, -- Kandak
}

NPCs[127939] = { -- Torraske the Eternal
	achievementQuestID = 49004, -- Torraske the Eternal
	isTameable = true,
	vignetteID = 2314, -- Torrsake the Eternal
}

NPCs[128699] = { -- Bloodbulge
	achievementQuestID = 49267, -- Bloodbulge
}

NPCs[129343] = { -- Avatar of Xolotal
	achievementQuestID = 49410, -- Avatar of Xolotal
}

NPCs[129954] = { -- Gahz'ralka
	achievementQuestID = 50439, -- Gahz'ralka
}

NPCs[129961] = { -- Atal'zul Gotaka
	achievementQuestID = 50280, -- Atal'zul Gotaka
}

NPCs[130643] = { -- Twisted Child of Rezan
	questID = 50333, -- Twisted Child of Rezan
}

NPCs[131233] = { -- Lei-zhi
	achievementQuestID = 49911, -- Lei-Zhi
}

NPCs[131476] = { -- Zayoos
	achievementQuestID = 49972, -- Zayoos
	vignetteID = 2513, -- Zayoos
}

NPCs[131687] = { -- Tambano
	achievementQuestID = 50013, -- Tambano
	isTameable = true,
}

NPCs[131704] = { -- Coati
	isTameable = true,
	questID = 50846,
}

NPCs[131718] = { -- Bramblewing
	achievementQuestID = 50034, -- Bramblewing
}

NPCs[132244] = { -- Kiboku
	achievementQuestID = 50159, -- Kiboku
	isTameable = true,
}

NPCs[132253] = { -- Ji'arak
	questID = 52169, -- The Matriarch
}

NPCs[133155] = { -- G'Naat
	achievementQuestID = 50260, -- G'Naat
}

NPCs[133163] = { -- Tia'Kawan
	questID = 50263
}

NPCs[133190] = { -- Daggerjaw
	achievementQuestID = 50269, -- Daggerjaw
}

NPCs[133842] = { -- Warcrawler Karkithiss
	achievementQuestID = 50438, -- Warcrawler Karkithiss
}

NPCs[134048] = { -- Vukuba
	achievementQuestID = 50508, -- Vukuba
	vignetteID = 2650, -- Strange Egg
}

NPCs[134637] = { -- Headhunter Lee'za
	questID = 50661, -- Headhunter Lee'za
}

NPCs[134717] = { -- Umbra'rix
	questID = 50673, -- Umbra'rix
}

NPCs[134738] = { -- Hakbi the Risen
	achievementQuestID = 50677, -- Hakbi the Risen
}

NPCs[134760] = { -- Darkspeaker Jo'la
	achievementQuestID = 50693, -- Darkspeaker Jo'la
}

NPCs[134782] = { -- Murderbeak
	achievementQuestID = 50281, -- Murderbeak
	vignetteID = 2651, -- Chum Bucket
}

NPCs[136413] = { -- Syrawon the Dominus
	achievementQuestID = 51080, -- Syrawon the Dominus
	vignetteID = 2895, -- Tehd & Marius
}

NPCs[136428] = { -- Dark Chronicler
	achievementQuestID = 51083, -- Dark Chronicler
	vignetteID = 2897,-- Dark Chronicler
}

NPCs[143536] = { -- High Warlord Volrath
	factionGroup = "Horde",
	vignetteID = 612,
}
